Package org.jbpm.services.cdi.impl

## Class ProcessServiceCDIImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.ProcessServiceImpl
  - - org.jbpm.services.cdi.impl.ProcessServiceCDIImpl

- All Implemented Interfaces:
    `VariablesAware`, `ProcessService`

      @ApplicationScoped
      public class ProcessServiceCDIImpl
      extends ProcessServiceImpl

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.kie.services.impl.ProcessServiceImpl

      `dataService, deploymentService`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessServiceCDIImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setDataService​(RuntimeDataService dataService)` |
    `void` | `setDeploymentService​(DeploymentService deploymentService)` |

    - ### Methods inherited from class org.jbpm.kie.services.impl.ProcessServiceImpl

      `abortProcessInstance, abortProcessInstance, abortProcessInstances, abortProcessInstances, abortWorkItem, abortWorkItem, collectActiveSignals, completeWorkItem, completeWorkItem, computeProcessOutcome, disallowWhenNotActive, disposeRuntimeEngine, execute, execute, getActiveBoundaryNodesSignals, getAvailableSignals, getAvailableSignals, getContext, getProcessInstance, getProcessInstance, getProcessInstance, getProcessInstance, getProcessInstanceVariable, getProcessInstanceVariable, getProcessInstanceVariables, getProcessInstanceVariables, getWorkItem, getWorkItem, getWorkItemByProcessInstance, getWorkItemByProcessInstance, process, setProcessVariable, setProcessVariable, setProcessVariables, setProcessVariables, signalEvent, signalProcessInstance, signalProcessInstance, signalProcessInstanceByCorrelationKey, signalProcessInstanceByCorrelationKey, signalProcessInstances, signalProcessInstances, signalProcessInstancesByCorrelationKeys, signalProcessInstancesByCorrelationKeys, startProcess, startProcess, startProcess, startProcess, startProcessFromNodeIds, startProcessFromNodeIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessServiceCDIImpl

          public ProcessServiceCDIImpl()

  - ### Method Detail

    - #### setDeploymentService

          @Inject
          public void setDeploymentService​(DeploymentService deploymentService)

      Overrides:
        `setDeploymentService` in class `ProcessServiceImpl`

    - #### setDataService

          @Inject
          public void setDataService​(RuntimeDataService dataService)

      Overrides:
        `setDataService` in class `ProcessServiceImpl`